/**
 * Event arguments for the
 * activeCellChanged event.
*/
var IgxSpreadsheetActiveCellChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxSpreadsheetActiveCellChangedEventArgs() {
    }
    Object.defineProperty(IgxSpreadsheetActiveCellChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxSpreadsheetActiveCellChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxSpreadsheetActiveCellChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxSpreadsheetActiveCellChangedEventArgs.prototype, "newValue", {
        /**
         * Returns the new value of the
         * activeCell
        */
        get: function () {
            return this.i.newValue;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxSpreadsheetActiveCellChangedEventArgs.prototype, "oldValue", {
        /**
         * Returns the previous value of the
         * activeCell
        */
        get: function () {
            return this.i.oldValue;
        },
        enumerable: false,
        configurable: true
    });
    return IgxSpreadsheetActiveCellChangedEventArgs;
}());
export { IgxSpreadsheetActiveCellChangedEventArgs };
